using System;
using System.Collections.Generic;

namespace frilenseri_kvalifikacije2
{
    class Program
    {   static int uporedi(double[] x, double[] y)
        {
            double a, b;
            a = x[1];
            b = y[1];
            if (a - b < 0.0)
            {
                return (-1);
            }
            else if (a - b > 0.0)
            {
                return (1);
            }
            else
            {
                return (0);
            }
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double zarada;
            string[] str;

            List<double[]> ap = new List<double[]>();
            

            for (int i=0;i<n;i++)
            {
                double[] aipi = new double[2];
                str = Console.ReadLine().Split();
                aipi[0] = double.Parse(str[0]);
                aipi[1] = double.Parse(str[1]);
                ap.Add(aipi);
            }
            ap.Sort(uporedi);

            zarada = 0;
            for (int u=0;u<n;u++)
            {
                
                double p = ap[u][1];
                double ukupno = 0;
                for (int i=0;i<n;i++)
                {
                    double c;
                    double a = ap[i][0];
                    if (p> ap[i][1])
                    {
                        c = 0;
                    }
                    else
                    {
                        c = (a / 100) * p;
                    }
                    
                    ukupno += c;
                }
                if (ukupno>zarada)
                {
                    zarada = ukupno;
                }
            }

            Console.WriteLine(zarada);
        }
    }
}